tvbrowser.core.filters

## Class GenericFilterMap

- java.lang.Object
- - tvbrowser.core.filters.GenericFilterMap

-     public class GenericFilterMap
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `GENERIC_PLUGIN_FILTER_DIRECTORY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(java.lang.String key)`
    `PluginProxy[]` | `getActivatedGenericPluginFilterProxies()`
    `UserFilter` | `getGenericPluginFilter(PluginProxy plugin, boolean onlyActivated)`
    `static GenericFilterMap` | `getInstance()`
    `void` | `initializeFilters()`
    `void` | `storeGenericFilters()`
    `void` | `updateGenericPluginFilter(PluginProxy plugin, UserFilter filter, boolean activated)`
    `void` | `updateGenericPluginFilterActivated(PluginProxy plugin, boolean activated)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GENERIC_PLUGIN_FILTER_DIRECTORY

          protected static final java.lang.String GENERIC_PLUGIN_FILTER_DIRECTORY

  - ### Method Detail

    - #### getInstance

          public static final GenericFilterMap getInstance()

    - #### updateGenericPluginFilterActivated

          public void updateGenericPluginFilterActivated(PluginProxy plugin,
                                                boolean activated)

    - #### updateGenericPluginFilter

          public void updateGenericPluginFilter(PluginProxy plugin,
                                       UserFilter filter,
                                       boolean activated)

    - #### getGenericPluginFilter

          public UserFilter getGenericPluginFilter(PluginProxy plugin,
                                          boolean onlyActivated)

    - #### storeGenericFilters

          public void storeGenericFilters()

    - #### getActivatedGenericPluginFilterProxies

          public PluginProxy[] getActivatedGenericPluginFilterProxies()

    - #### initializeFilters

          public void initializeFilters()

    - #### containsKey

          public boolean containsKey(java.lang.String key)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)